from django.db import models

from staff.lib.models.base import AtomicSaveModel


class PersonADInformation(AtomicSaveModel):
    person = models.OneToOneField('django_intranet_stuff.Staff', related_name='ad_information')

    password_expires_at = models.DateTimeField(null=True)
    passwd_set_at = models.DateTimeField(null=True)
    has_exchange = models.BooleanField(default=False)
